/*
 * System Interface Library for games
 * Copyright (c) 2007-2014 Andrew Church <achurch@achurch.org>
 * Released under the GNU GPL version 3 or later; NO WARRANTY is provided.
 * See the file COPYING.txt for details.
 *
 * src/test/movie/internal.h: Declarations of helper functions for the
 * movie playback subsystem tests.
 */

#ifndef SIL_SRC_TEST_MOVIE_INTERNAL_H
#define SIL_SRC_TEST_MOVIE_INTERNAL_H

/*************************************************************************/
/*************************************************************************/

/**
 * test_movie_core_with_extension:  Run the core movie tests with the
 * given extension as the default movie filename extension.
 *
 * Pass NULL to run the tests without overriding the default extension.
 *
 * [Parameters]
 *     extension: Default filename extension to use.
 * [Return value]
 *     True if all tests passed, false if some tests failed.
 */
extern int test_movie_core_with_extension(const char *extension);

/*************************************************************************/
/*************************************************************************/

#endif  // SIL_SRC_TEST_MOVIE_INTERNAL_H

/*
 * Local variables:
 *   c-file-style: "stroustrup"
 *   c-file-offsets: ((case-label . *) (statement-case-intro . *))
 *   indent-tabs-mode: nil
 * End:
 *
 * vim: expandtab shiftwidth=4:
 */
